# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from clusterfuzz._internal.protos import heartbeat_pb2 as clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2


class HeartbeatStub(object):
    """Service for receiving hearbeats.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.Beat = channel.unary_unary(
                '/Heartbeat/Beat',
                request_serializer=clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatRequest.SerializeToString,
                response_deserializer=clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatResponse.FromString,
                )


class HeartbeatServicer(object):
    """Service for receiving hearbeats.
    """

    def Beat(self, request, context):
        """Send a beat.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_HeartbeatServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'Beat': grpc.unary_unary_rpc_method_handler(
                    servicer.Beat,
                    request_deserializer=clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatRequest.FromString,
                    response_serializer=clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Heartbeat', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Heartbeat(object):
    """Service for receiving hearbeats.
    """

    @staticmethod
    def Beat(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Heartbeat/Beat',
            clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatRequest.SerializeToString,
            clusterfuzz_dot___internal_dot_protos_dot_heartbeat__pb2.HeartbeatResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
